Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029547
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 04. Warehouse managementmajoralways2015-03-30 15:182015-04-10 11:45
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q1.3
StatusclosedFix in branchFixed in SCM revisiona5db4db03e6f
ProjectionnoneETAnoneTarget Version3.0PR15Q1.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2015-03-25
Regression introduced in releasepi
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/4f00f31f65e1 [^]
Triggers an Emergency PackYes
Summary

0029547: More than available stock can be reserved from Sales Order screen

DescriptionMore than available stock can be reserved from Sales Order screen
Steps To ReproduceAs group admin role:
   Configure the Enable Stock Reservations preference
   Log out and log in again
   Create a Sales Order for a product and a quantity higher than the stocked quantity
   Click on Manage Reservation button and check the Available Quantity is lower than the Quantity. This is incorrect
   Try to change the quantity to a value between the Available Quantity and the Quantity and check the following message is shown:
      "Reserved quantity exceeds the available quantity (30000) considering the quantity reserved in other reservations (0). Please, enter a valid number."
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0029458 closedaferraz More than available stock can be reserved from Sales Order screen 

-  Notes
(0076430)
hgbot (developer)
2015-04-09 18:59

Repository: erp/backports/3.0PR15Q1.3
Changeset: a5db4db03e6fc4bfd14b55b0588f033a580c8b8b
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Thu Apr 09 18:27:45 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/a5db4db03e6fc4bfd14b55b0588f033a580c8b8b [^]

Fixes bug 29547: Cannot be reserved more than available Stock.

Few more issues have been fixed also:

1) Prereservation lines will never have Warehouse field filled until they are received.

2) Filter of Purchase Order Line now is working having reservation completed or in draft status.

3) Prereservation Lines are displayed when the reservation is in draft status and they are not still reserved.

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---
(0076431)
umartirena (developer)
2015-04-09 18:59

Code Review + Testing OK

- Issue History
Date Modified Username Field Change
2015-04-09 10:56 umartirena Type defect => backport
2015-04-09 10:56 umartirena Target Version => 3.0PR15Q1.3
2015-04-09 18:59 hgbot Checkin
2015-04-09 18:59 hgbot Note Added: 0076430
2015-04-09 18:59 hgbot Status scheduled => resolved
2015-04-09 18:59 hgbot Resolution open => fixed
2015-04-09 18:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/a5db4db03e6fc4bfd14b55b0588f033a580c8b8b [^]
2015-04-09 18:59 umartirena Review Assigned To => umartirena
2015-04-09 18:59 umartirena Note Added: 0076431
2015-04-09 18:59 umartirena Status resolved => closed
2015-04-09 18:59 umartirena Fixed in Version => 3.0PR15Q1.3
2015-04-10 11:45 dmitry_mezentsev Tag Attached: Approved


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker